Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.update.core
Interface IVerificationListener

public interface IVerificationListener

Verification listener. This interface abstract the user interaction that may be required as a result of feature installation. In particular, as feature archives are downloaded and verified, the user may need to indicate whether to accept any one of the archives, or abort the installation.

Clients may implement this interface.

Note: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Since:
  2.0
See Also:
  `IVerificationResult`, `IVerifier`

Field Summary
`static int` | `CHOICE_ABORT` Indicate the action that resulted in this notification should be aborted.
`static int` | `CHOICE_ERROR` Indicate there was an error in processing the request.
`static int` | `CHOICE_INSTALL_TRUST_ALWAYS` Indicate that the target of the verification should be accepted, and the information supplied with the verification result should be trusted for this request, and subsequent requests.
`static int` | `CHOICE_INSTALL_TRUST_ONCE` Indicate that the target of the verification should be accepted, but the information supplied with the verification result should be trusted only for this request.

Method Summary
`int` | `prompt(IVerificationResult result)` Determine if we should continue with the current action based on the indicated verification results.

Field Detail

### CHOICE_ABORT

    public static final int CHOICE_ABORT

  Indicate the action that resulted in this notification should be aborted.

  Since:
    2.0
  See Also:
    Constant Field Values

### CHOICE_ERROR

    public static final int CHOICE_ERROR

  Indicate there was an error in processing the request. The action that resulted in this notification should be aborted.

  Since:
    2.0
  See Also:
    Constant Field Values

### CHOICE_INSTALL_TRUST_ONCE

    public static final int CHOICE_INSTALL_TRUST_ONCE

  Indicate that the target of the verification should be accepted, but the information supplied with the verification result should be trusted only for this request.

  Since:
    2.0
  See Also:
    Constant Field Values

### CHOICE_INSTALL_TRUST_ALWAYS

    public static final int CHOICE_INSTALL_TRUST_ALWAYS

  Indicate that the target of the verification should be accepted, and the information supplied with the verification result should be trusted for this request, and subsequent requests.

  Since:
    2.0
  See Also:
    Constant Field Values

Method Detail

### prompt

    public int prompt(IVerificationResult result)

  Determine if we should continue with the current action based on the indicated verification results. Typically, the implementation of this method will prompt the user for the appropriate answer. However, other respose implementations can be provided.

  Parameters:
    `result` - verification result
  Since:
    2.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.